CC****************************************************************
      PROGRAM stan2m 
CC  Calcula el mapa standard para dos trayectorias proximas
CC****************************************************************
      IMPLICIT REAL*8(a-h,o-z)
      OPEN(21,FILE='stan2.dat')
      READ(21,*)xk
      READ(21,*)N,icada
      READ(21,*)s,t
      CLOSE(21)
      OPEN(31,FILE='stan2m.out')
      dospi=8.d0*DATAN(1.d0)
      xk1=xk/dospi 
      delta0=1.d-9
      u=s+delta0
      v=t-delta0
      DO 4 i=1,N
      zi=i
      s=s+xk1*DSIN(dospi*t)
      t=t+s
      u=u+xk1*DSIN(dospi*v)
      v=v+u
       t=DMOD(t,1.d0)
       IF (t.lt.0.d0) t=t+1.d0
        s=DMOD(s,1.d0) 
       IF(s.LT.0.d0)s=s+1.d0 
        v=DMOD(v,1.d0) 
       IF(v.LT.0.d0)v=v+1.d0 
        u=DMOD(u,1.d0) 
       IF(u.LT.0.d0)u=u+1.d0 
       xi=s-u; eta=t-v
       delta=dsqrt(xi**2+eta**2)
       xly=dlog(delta/delta0)/zi
      IF (MOD(i,icada).eq.0) WRITE(31,*)i,delta,xly
    4 CONTINUE
      END

